import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';
export class DepartmentCreateDto {
  // NOTE: Since the id is auto-inc, so no id for the creation
  // id: number;

  @ApiProperty({
    type: String,
    name: 'name',
    description: 'Department name',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  name: string;
}
